Subject: Re: bug#20711: 25.0.50; Emacs 24.5 regression: C++ font lock displays incorrectly when pasting

From: Barry OReilly <[email-masked]>
Date: Tue, 2 Jun 2015 10:43:52 -0700

Sorry, I made a mistake with my versions. I always witness it at:

  commit c03c195a274ab4092cc5f2a881a87cb2643d9b3b
  Date:   Tue May 12 19:35:54 2015 +0300

I do not witness it in Emacs 24.5 nor today's emacs-24 nor today's master.
So it must have been fixed in the past few weeks. Closing the bug.

Thanks for having taken a look and sending such a timely response.

On Tue, Jun 2, 2015 at 6:41 AM, Alan Mackenzie <[email-masked]> wrote:

> Hello, Barry.
>
> In article <[email-masked]> you wrote:
> > [-- text/plain, encoding 7bit, charset: UTF-8, 88 lines --]
>
> > Create ~/tmp/foo.cc with file contents:
>
> >  //
>
> Did you create it using Emacs?  If so, C++ Mode will automatically have
> added a linefeed at the end of the bare line.
>
> > Start Emacs 24.5 by:
>
> >  emacs -Q ~/tmp/foo.cc
>
> > Type 42 in some other X11 window (eg Chrome), and select it. In the Emacs
> > window, paste it with the middle mouse button (mouse-yank-primary). The
> > number 4 is not fontified.
>
> That's a pretty crisp recipe, thanks.  I can't reproduce it, though.  I'm
> in XFCE in X-Windows, and the program I used to get "42" into the
> mouse-yank-primary buffer was vim running on xfce4-terminal.
>
> I'm assuming that the "//" is at the beginning of the line, that there is
> no trailing space after it, but there is a linefeed at the end of the
> line.  I yanked in the "42" just after the second "/".
>
> Could there be anything unusual about the "42" you got from Chrome?
>
> What's your desktop environment?
>
> Is there anything else you can think of in your setup that might be
> influencing the bug?  Does the bug happen every time you try it,
> sometimes, or did it only happen once?
>
> > Try the same with Emacs 24.4 and all fontification is correct.
>
> As a matter of interest, would you reproduce your Emacs configuration
> line, please (M-: system-configuration-options).
>
> > In GNU Emacs 25.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.23)
> > of 2015-05-12 on REDACTED
>
> This is Emacs 25.0.50.  What is the connection, if any, between the debug
> info you included below, and the test you ran on 24.5?
>
> > Windowing system distributor `The X.Org Foundation', version
> 11.0.11501000
> > System Description: Ubuntu 14.04 LTS (upgraded from: Ubuntu 12.04.4 LTS)
>
> > Configured features:
> > XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY FREETYPE XFT ZLIB
>
> > Important settings:
> >  value of $LANG: en_US.UTF-8
> >  value of $XMODIFIERS: @im=ibus
> >  locale-coding-system: utf-8-unix
>
> > Major mode: C++/l
>
> [ .... ]
>
> --
> Alan Mackenzie (Nuremberg, Germany).
>
>